﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace App.Erp.Models
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="hnue_tuyensinh")]
	public partial class KetquaNKDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Extensibility Method Definitions
    partial void OnCreated();
    #endregion
		
		public KetquaNKDataContext() : 
				base(global::System.Configuration.ConfigurationManager.ConnectionStrings["hnue_tuyensinhConnectionString"].ConnectionString, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaNKDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaNKDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaNKDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public KetquaNKDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public System.Data.Linq.Table<Hnue_KetquaNK> Hnue_KetquaNKs
		{
			get
			{
				return this.GetTable<Hnue_KetquaNK>();
			}
		}
		
		public System.Data.Linq.Table<Hnue_Trungtuyen> Hnue_Trungtuyens
		{
			get
			{
				return this.GetTable<Hnue_Trungtuyen>();
			}
		}
		
		public System.Data.Linq.Table<Hnue_NhaphocT> Hnue_NhaphocTs
		{
			get
			{
				return this.GetTable<Hnue_NhaphocT>();
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Hnue_KetquaNK")]
	public partial class Hnue_KetquaNK
	{
		
		private string _STT;
		
		private string _Hoten;
		
		private string _Ngaysinh;
		
		private string _Gioi;
		
		private string _Khuvuc;
		
		private string _Dotuong;
		
		private string _NganhDK;
		
		private string _CMT;
		
		private string _HL12;
		
		private string _TBCNT;
		
		private string _Khoi;
		
		private string _SBD;
		
		private string _MonNK1;
		
		private string _MonNK2;
		
		private string _UTDTKV;
		
		private string _Tongdiem;
		
		public Hnue_KetquaNK()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_STT", DbType="NChar(10)")]
		public string STT
		{
			get
			{
				return this._STT;
			}
			set
			{
				if ((this._STT != value))
				{
					this._STT = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Hoten", DbType="NVarChar(50)")]
		public string Hoten
		{
			get
			{
				return this._Hoten;
			}
			set
			{
				if ((this._Hoten != value))
				{
					this._Hoten = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Ngaysinh", DbType="NVarChar(50)")]
		public string Ngaysinh
		{
			get
			{
				return this._Ngaysinh;
			}
			set
			{
				if ((this._Ngaysinh != value))
				{
					this._Ngaysinh = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Gioi", DbType="NChar(10)")]
		public string Gioi
		{
			get
			{
				return this._Gioi;
			}
			set
			{
				if ((this._Gioi != value))
				{
					this._Gioi = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Khuvuc", DbType="NChar(10)")]
		public string Khuvuc
		{
			get
			{
				return this._Khuvuc;
			}
			set
			{
				if ((this._Khuvuc != value))
				{
					this._Khuvuc = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Dotuong", DbType="NChar(10)")]
		public string Dotuong
		{
			get
			{
				return this._Dotuong;
			}
			set
			{
				if ((this._Dotuong != value))
				{
					this._Dotuong = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NganhDK", DbType="NVarChar(50)")]
		public string NganhDK
		{
			get
			{
				return this._NganhDK;
			}
			set
			{
				if ((this._NganhDK != value))
				{
					this._NganhDK = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CMT", DbType="NVarChar(50)")]
		public string CMT
		{
			get
			{
				return this._CMT;
			}
			set
			{
				if ((this._CMT != value))
				{
					this._CMT = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_HL12", DbType="NChar(10)")]
		public string HL12
		{
			get
			{
				return this._HL12;
			}
			set
			{
				if ((this._HL12 != value))
				{
					this._HL12 = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_TBCNT", DbType="NChar(10)")]
		public string TBCNT
		{
			get
			{
				return this._TBCNT;
			}
			set
			{
				if ((this._TBCNT != value))
				{
					this._TBCNT = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Khoi", DbType="NChar(10)")]
		public string Khoi
		{
			get
			{
				return this._Khoi;
			}
			set
			{
				if ((this._Khoi != value))
				{
					this._Khoi = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_SBD", DbType="NChar(10)")]
		public string SBD
		{
			get
			{
				return this._SBD;
			}
			set
			{
				if ((this._SBD != value))
				{
					this._SBD = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MonNK1", DbType="NChar(10)")]
		public string MonNK1
		{
			get
			{
				return this._MonNK1;
			}
			set
			{
				if ((this._MonNK1 != value))
				{
					this._MonNK1 = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MonNK2", DbType="NChar(10)")]
		public string MonNK2
		{
			get
			{
				return this._MonNK2;
			}
			set
			{
				if ((this._MonNK2 != value))
				{
					this._MonNK2 = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UTDTKV", DbType="NChar(10)")]
		public string UTDTKV
		{
			get
			{
				return this._UTDTKV;
			}
			set
			{
				if ((this._UTDTKV != value))
				{
					this._UTDTKV = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Tongdiem", DbType="NChar(10)")]
		public string Tongdiem
		{
			get
			{
				return this._Tongdiem;
			}
			set
			{
				if ((this._Tongdiem != value))
				{
					this._Tongdiem = value;
				}
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Hnue_Trungtuyen")]
	public partial class Hnue_Trungtuyen
	{
		
		private string _SBD;
		
		private string _Hoten;
		
		private string _MaNganhTT;
		
		private string _TenNganhTT;
		
		public Hnue_Trungtuyen()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_SBD", DbType="VarChar(50)")]
		public string SBD
		{
			get
			{
				return this._SBD;
			}
			set
			{
				if ((this._SBD != value))
				{
					this._SBD = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Hoten", DbType="NVarChar(50)")]
		public string Hoten
		{
			get
			{
				return this._Hoten;
			}
			set
			{
				if ((this._Hoten != value))
				{
					this._Hoten = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MaNganhTT", DbType="VarChar(50)")]
		public string MaNganhTT
		{
			get
			{
				return this._MaNganhTT;
			}
			set
			{
				if ((this._MaNganhTT != value))
				{
					this._MaNganhTT = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_TenNganhTT", DbType="NVarChar(50)")]
		public string TenNganhTT
		{
			get
			{
				return this._TenNganhTT;
			}
			set
			{
				if ((this._TenNganhTT != value))
				{
					this._TenNganhTT = value;
				}
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Hnue_NhaphocTS")]
	public partial class Hnue_NhaphocT
	{
		
		private string _SBD;
		
		private string _Hoten;
		
		private string _XacNhan;
		
		private string _Gioi;
		
		private string _NgaySinh;
		
		private string _MaNganh;
		
		private string _TenNganh;
		
		private string _CMT;
		
		private string _DienTT;
		
		public Hnue_NhaphocT()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_SBD", DbType="VarChar(50)")]
		public string SBD
		{
			get
			{
				return this._SBD;
			}
			set
			{
				if ((this._SBD != value))
				{
					this._SBD = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Hoten", DbType="NVarChar(50)")]
		public string Hoten
		{
			get
			{
				return this._Hoten;
			}
			set
			{
				if ((this._Hoten != value))
				{
					this._Hoten = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_XacNhan", DbType="NChar(10)")]
		public string XacNhan
		{
			get
			{
				return this._XacNhan;
			}
			set
			{
				if ((this._XacNhan != value))
				{
					this._XacNhan = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Gioi", DbType="NChar(10)")]
		public string Gioi
		{
			get
			{
				return this._Gioi;
			}
			set
			{
				if ((this._Gioi != value))
				{
					this._Gioi = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NgaySinh", DbType="VarChar(50)")]
		public string NgaySinh
		{
			get
			{
				return this._NgaySinh;
			}
			set
			{
				if ((this._NgaySinh != value))
				{
					this._NgaySinh = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MaNganh", DbType="VarChar(50)")]
		public string MaNganh
		{
			get
			{
				return this._MaNganh;
			}
			set
			{
				if ((this._MaNganh != value))
				{
					this._MaNganh = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_TenNganh", DbType="NVarChar(50)")]
		public string TenNganh
		{
			get
			{
				return this._TenNganh;
			}
			set
			{
				if ((this._TenNganh != value))
				{
					this._TenNganh = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CMT", DbType="VarChar(50)")]
		public string CMT
		{
			get
			{
				return this._CMT;
			}
			set
			{
				if ((this._CMT != value))
				{
					this._CMT = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_DienTT", DbType="NChar(10)")]
		public string DienTT
		{
			get
			{
				return this._DienTT;
			}
			set
			{
				if ((this._DienTT != value))
				{
					this._DienTT = value;
				}
			}
		}
	}
}
#pragma warning restore 1591
